﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGComplexBindingCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Jen;Alex;Trish;Eric;Steve;Tom;Pamela;Valerie".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for(int i=0; i<names.Length; i++)
            {
                SampleData sd = new SampleData() { ID = i, Name = names[i] };

                sd.ChildCollection = new ObservableCollection<ChildData>();

                for(int j=0; j<5; j++)
                {
                    sd.ChildCollection.Add(new ChildData() { RandomNumber = r.Next(1000) });
                }

                Data.Add(sd);

            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public ObservableCollection<ChildData> ChildCollection { get; set; }
    }

    public class ChildData
    {
        public int RandomNumber { get; set; }
    }
}
